Bug 174941 - diskless clients forget to free initrd memory
Summary: diskless clients forget to free initrd memory
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Olive Leite
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-04 17:38 UTC by Oleg Drokin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 02:11:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix. (360 bytes, patch)
2005-12-04 17:38 UTC, Oleg Drokin
no flags Details | Diff

Description Oleg Drokin 2005-12-04 17:38:31 UTC
Description of problem:

Diskless clients apparently forget to free initrd memory.
The problem lies in
/usr/share/system-config-netboot/diskless/diskless.init
that does umount of /.oldroot but forgets to do
/sbin/blockdev --flushbufs /dev/ram0
after that.

Comment 1 Oleg Drokin 2005-12-04 17:38:32 UTC
Created attachment 121816 [details]
Proposed fix.

Comment 2 Jason Vas Dias 2005-12-05 19:01:45 UTC
Thanks - patch applied in system-config-netboot-0.1.34+ .


Comment 3 Fedora Update System 2005-12-20 03:02:56 UTC
From User-Agent: XML-RPC

system-config-netboot-0.1.34-1_FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Fedora Update System 2005-12-20 03:03:37 UTC
From User-Agent: XML-RPC

system-config-netboot-0.1.34-1_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 5 Bill Nottingham 2006-09-22 02:11:44 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.


Note You need to log in before you can comment on or make changes to this bug.